Page MenuHomePhabricator

Punjabi Phonetic keyboard issues
Closed, ResolvedPublic

Description

I have filed this bug earlier as well. While typing Punjabi using Phonetic Keyboard there are basic 3 issues:

  1. full stop "." gives "?਼" while it should give dandi "।" .
  1. tilde "~" gives "?ੱ" while it should be just "ੱ".

3. While using shift with numerals, it gives gurmukhi numerals. We don't need that as we already have a solution for that. as per agreed with @satdeep_gill

Event Timeline

satdeep_gill raised the priority of this task from to High.
satdeep_gill updated the task description. (Show Details)
satdeep_gill added a subscriber: satdeep_gill.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 15 2015, 7:37 AM

I have filed this bug earlier as well

Does that mean that this is a duplicate of T91159 ?

Aklapper raised the priority of this task from High to Needs Triage.Jun 15 2015, 7:49 AM
Aklapper set Security to None.

No this is not duplicate. That was another one.

Amire80 renamed this task from Punjabi Phonetic Font to Punjabi Phonetic keyboard issues.Jul 22 2015, 4:19 PM
satdeep_gill triaged this task as Unbreak Now! priority.Sep 25 2015, 12:51 PM

We are not able to type properly with Phonetic method. This needs to be resolved on priority.

Shift+~ gives ?ੱ - It should be just only ੱ
. gives ?਼ - It should be ।
123 with Shift gives Gurmukhi numerals which is not required.
{ gives ( and } gives ) - This be resolved as well.

Aklapper lowered the priority of this task from Unbreak Now! to High.Sep 25 2015, 1:21 PM

Decreasing priority. While the problem is annoying, it has not suddenly become more urgent to fix.

satdeep_gill raised the priority of this task from High to Needs Triage.Oct 26 2015, 2:33 AM

It is urgent to fix this issue as on some devices we are unable to download Google Input tools. So this becomes our only option but it has issues.

Aklapper triaged this task as High priority.Oct 26 2015, 9:46 AM

@satdeep_gill: Please do not change the priority of this task until you plan to provide a code patch for this task. If you can explain why the problem has become more urgent, please argument in a comment instead. You could also contact the Wikimedia Language Engineering Team. Thank you for your understanding.

Please use this chart and make changes according to this.

Guglani added a subscriber: Guglani.EditedJan 13 2016, 7:46 AM

Whereas tasks 1 & 2 need urgent attention as ? mark is superfluous while generating ੱ matra and full stop । (Dandi sign) in punjabi Gurmukhi by this phonetic keyboard.care should be taken , because ੱ Is placed above a previous typed letter , in punjabi words and full stop(Dandi ) sign is spaced one blank character ahead , unlike . Sign of English which is placed immediately adjoining the character.

But task 3 is not required at all, Gurmukhi numerals are very much needed in keyboard , refer Unicode Gurmukhi standard as per link attached
Unicode Gurmukhi Punjabi Charts as per Unicode.org

Another task 4, character ਫ਼(Gurmukhi letter Fa Unicode 0A5E) is very much used , but not existing.
Another task 5, character ਙ (Gurmukhi Letter NGA Unicode 0A19), though used in digitising heritage texts only not existing.
Both tasks 4 & 5 should be added to complete keyboard as per Unicode standard charts.

Guglani Ji, If we don't do task 3 then we have to change the keyboard everytime we want to use "{", "}", "#", "*". These characters are used very much. Moreover according to the community discussion we have decided that we will make the gadget default. Let us just push for this.

I do support Task 4 and 5.

Guglani added a comment.EditedJan 14 2016, 1:11 AM

Guglani Ji, If we don't do task 3 then we have to change the keyboard everytime we want to use "{", "}", "#", "*". These characters are used very much. Moreover according to the community discussion we have decided that we will make the gadget default.

Refer community discussion going on https://pa.wikipedia.org/wiki/ਵਿਕੀਪੀਡੀਆ:ਸੱਥ#.E0.A8.A8.E0.A8.A4.E0.A9.80.E0.A8.9C.E0.A8.BE.2FResult

We have no reference of discussion to eliminate Gurmukhi digits from keyboards."{" ,"}}" letter comma is very much part of pa-phonetic keyboard. For ,other two ,switching keyboard is just one click inconvenience , if required still , then eliminate Arabic digits instead & switch to English keyboard . Gurmukhi digits are as per international Unicode Gurmukhi chart for punjabi , once removed these will not be available to search references in numerous documents, type quotes from hundreds of heritage documents/ desi calendars which are being digitised / published with Gurmukhi digits even today.
Refer link punjabi pedia or for calendar see http://sgpc.net/calendar547.pdf

Okay Guglani ji, I agree we need Gurmukhi fonts here. Maybe we can remove 123 from this font. But this request is here from June 2015 and I don't know who is going to fix this and when.

Guglani updated the task description. (Show Details)Jan 15 2016, 9:43 AM

Change 298425 had a related patch set uploaded (by Amire80):
Update jquery.ime from upstream

https://gerrit.wikimedia.org/r/298425

Change 298425 merged by jenkins-bot:
Update jquery.ime to 839fa42

https://gerrit.wikimedia.org/r/298425

Nikerabbit closed this task as Resolved.Jul 12 2016, 5:37 PM
Nikerabbit claimed this task.
satdeep_gill reopened this task as Open.Jul 13 2016, 2:15 PM

The changes have not been reflected on Punjabi Wikipedia. Does it take some time ?

@satdeep_gill This should be available on Thursday late night (for India time), if everything goes fine with deployment train.

Okay. Thanks a lot. I apologize for opening the request once again.

KartikMistry moved this task from Backlog to QA on the Language-Q1-2016-17 Sprint 1 board.
Aklapper closed this task as Resolved.Jul 13 2016, 5:09 PM

Changing status back to 'resolved' as the code has been merged into the code base, but just not deployed yet on Wikimedia servers.
If this does not work on Wikimedia servers next week, please do reopen! Thanks :)